{% extends "base.html" %}
{% load staticfiles %}
{% load i18n %}
{% load data_filters %}

{% block title %}{% trans 'Personnel list' %}{% endblock %}

{% block head %}
{% endblock head %}

{% block content %}

  {% include 'employee/employee_handle.html' %}

  <table id="dg" class="easyui-datagrid" title="" style="width:100%;height:400px;" rownumbers='false' singleSelect='false' pagination='false' fitColumns='true' nowrap='true'>
    <thead>
      <tr>
        <th data-options="field:'ck',checkbox:true"></th>
        <th data-options="field:'id',align:'center',width:180" hidden="hidden">Index</th>
        <th data-options="field:'pin',align:'center',width:180">ID</th>
        <th data-options="field:'emp_name',align:'center',width:180">Name</th>
        <th data-options="field:'gender',align:'center',width:180">Gender</th>
        <th data-options="field:'depart_name',align:'center',width:180">Department</th>
        <th data-options="field:'area_name',align:'center',width:180">Area</th>
        <th data-options="field:'title',align:'center',width:180">Position</th>
        <th data-options="field:'id_card',align:'center',width:180">Card Number</th>
        <th data-options="field:'privilege',align:'center',width:180">Device Privilege</th>
        <th data-options="field:'fp',align:'center',width:180">Fingerprint</th>
        <th data-options="field:'face',align:'center',width:180">Face</th>
        <th data-options="field:'palm',align:'center',width:180">Palm</th>
        <th data-options="field:'transacations',align:'center',width:180">Transactions</th>
     </tr>
    </thead>
    <tbody>
	    {% for employee in employees %}
	      <tr>
	        <td><input type="checkbox" class=""></td>
          <td hidden="hidden"><a href="{% url 'employee_edit' employee.id %}">{{ employee.id }}</td>
	        <td><a href="{% url 'employee_edit' employee.id %}">{{ employee.pin }}</a></td>
          {% if employee.emp_name %}
          <td>{{ employee.emp_name }}</td>
          {% else %}
          <td></td>
          {% endif %}
          {% if employee.gender == 'M' %}
          <td>
            <a><img title="male" width="16" height="16" src="{% static 'img/Male-icon.png' %}"></a>
          </td>
          {% elif employee.gender == 'F' %}
          <td>
            <a><img title="female" width="16" height="16" src="{% static 'img/Female-icon.png' %}"></a>
          </td>
          {% else %}
            <td>
              <a><img title="secret" width="16" height="16" src="{% static 'img/Secret-icon.png' %}"></a>
            </td>
          {% endif %}
          <td>{{ employee.department.depart_name }}</td>
          <td>{{ employee.get_all_areanames }}</td>
          {% if employee.position %}
          <td>{{ employee.position }}</td>
          {% else %}
          <td></td>
          {% endif %}
          {% if employee.card %}
          <td>{{ employee.card }}</td>
          {% else %}
          <td></td>
          {% endif %}
          {% if employee.privilege == 1 %}
          <td>
            Normal
          </td>
          {% elif employee.privilege == 2 %}
          <td>
            Registrar
          </td>
          {% elif employee.privilege == 6 %}
          <td>
            Administrator
          </td>
          {% elif employee.privilege == 14 %}
          <td>
            Supervisor
          </td>
          {% else %}
            <td>
              Normal
            </td>
          {% endif %}
	        <td>{{ employee.get_fingertemplate_count }}</td>
	        <td>{{ employee.get_facetemplate_count }}</td>
	        <td>{{ employee.get_palmtemplate_count }}</td>
	        <td>
            <a href="{% url 'filter' 'data' 'transaction' 'employee' employee.id %}">
            transactions
            </a>
          </td>
	      </tr>
	   	{% endfor %}
    </tbody>
  	</table>

   {% include 'paginator.html' with paginator=employees %}

{% endblock content %}
